Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigLogger

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigLogger

extends java.rmi.Remote

The `RemoteConfigLogger` takes charge of managing and associating logger's properties.

Since:
  V8.1

Method Summary
`java.util.Vector` | `getAppenders()` get all output destinations (log4j's appenders) provided by JREntServer loggers.
`java.lang.String` | `getDescription()` get the logger description.
`java.lang.String` | `getErrorLevel()` get logger's error level.
`java.lang.String` | `getLevel()` Deprecated. Please use customized error/trace level methods.
`java.lang.String` | `getName()` get the logger's displayed name.
`java.lang.String` | `getTraceLevel()` get logger's trace level.
`boolean` | `isAdditivity()` judge whether the additivity of the logger is true.
`void` | `setAdditivity(boolean value)` set the logger's property if it has been changed.
`void` | `setErrorLevel(java.lang.String value)` set logger's error level value.
`void` | `setLevel(java.lang.String value)` set logger level value.
`void` | `setTraceLevel(java.lang.String value)` set logger's trace level value.

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  get the logger's displayed name.

  Returns:
    the logger's displayed name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getDescription

    java.lang.String getDescription()
                                    throws java.rmi.RemoteException

  get the logger description.

  Returns:
    the logger description.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getErrorLevel

    java.lang.String getErrorLevel()
                                   throws java.rmi.RemoteException

  get logger's error level. note: the JREntServer logger's error level can only support the following possible values:

       "FATAL"

       "ERROR"

       "WARN"

  Returns:
    the logger's error level.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getTraceLevel

    java.lang.String getTraceLevel()
                                   throws java.rmi.RemoteException

  get logger's trace level. note: the JREntServer logger's trace level can only support the following possible values:

       "OUTLINE"

       "INFO"

       "TRIVIAL"

       "ALL"

  Returns:
    the logger's trace level.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setErrorLevel

    void setErrorLevel(java.lang.String value)
                       throws java.rmi.RemoteException

  set logger's error level value.

  Parameters:
    `value,` - the specified level value.
  Throws:
    `java.rmi.RemoteException`

### setTraceLevel

    void setTraceLevel(java.lang.String value)
                       throws java.rmi.RemoteException

  set logger's trace level value.

  Parameters:
    `value,` - the specified level value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLevel

    void setLevel(java.lang.String value)
                  throws java.rmi.RemoteException

  set logger level value.

  Parameters:
    `value,` - the specified level value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isAdditivity

    boolean isAdditivity()
                         throws java.rmi.RemoteException

  judge whether the additivity of the logger is true.

  Returns:
    true if the logger's Additivity is valid, else false.
  Throws:
    `java.rmi.RemoteException`

### setAdditivity

    void setAdditivity(boolean value)
                       throws java.rmi.RemoteException

  set the logger's property if it has been changed.

  Parameters:
    `value,` - new Additivity boolean value.
  Throws:
    `java.rmi.RemoteException`

### getAppenders

    java.util.Vector getAppenders()
                                  throws java.rmi.RemoteException

  get all output destinations (log4j's appenders) provided by JREntServer loggers.

  Returns:
    all output destinations.
  Throws:
    `java.rmi.RemoteException`

### getLevel

    java.lang.String getLevel()
                              throws java.rmi.RemoteException

  Deprecated. Please use customized error/trace level methods.

  get logger current level. note: the JREntServer logger can only support the following possible levels:

              "OFF"
              "FATAL"
              "ERROR"
              "WARN"
              "INFO"
              "DEBUG"
              "ALL"

  Returns:
    the logger level.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD